import React from 'react';
import { AwakenSwapState } from './actions';
import { BasicActions } from '../utils';
import { IAwakenConfig } from '../../types/config';
import { ChainId } from '../../types';
export declare function useAwakenSwapContext(): [AwakenSwapState, BasicActions];
export declare function AwakenSwapProvider({ children, isMobile, awaken, chainId, }: {
    children: React.ReactNode;
    isMobile: boolean;
    awaken?: IAwakenConfig;
    chainId?: ChainId;
}): import("react/jsx-runtime").JSX.Element;
